use gtk4 as gtk;
use gtk::glib;
use gtk::prelude::*;
use gtk::gio::{Notification, NotificationPriority};

const APP_ID: &str = "de.privacy1st.pdt";

fn main() -> glib::ExitCode {
    let app = gtk::Application::builder().application_id(APP_ID).build();
    app.connect_activate(move |app| build_ui(app));
    app.run()
}

fn build_ui(app: &gtk::Application) {
    let window = gtk::ApplicationWindow::builder()
        .application(app)
        .title("System Notification")
        .default_width(350)
        .default_height(70)
        .build();
    window.present();

    // TODO: Notification does not show up
    let notification = Notification::new("Alert");
    notification.set_body(Some("Time is over"));
    notification.set_priority(NotificationPriority::Urgent);
    let notification_id = "pdt.timeout";
    app.send_notification(Some(notification_id), &notification);
}
